=== debian/changelog ===
rdma-core (19.0-1ubuntu0.1) cosmic; urgency=medium

  * Drop to avoid issues with the sysV to systemd wrapper starting the service
    instead of the socket (LP: #1794825)
    - d/rules: drop dh_installinit call for ibacm
    - d/rules: let dh_installsystemd not start ibacm.service
    - d/ibacm.maintscript: remove old conffile
    - d/ibacm.install: no more install sysV script

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Nov 2018 14:08:48 +0100

rdma-core (19.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper 11
  * Add patch to fix bad whatis entries in man pages

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 28 Jun 2018 15:01:27 +0200

rdma-core (18.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop all patches (applied upstream)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 12 Jun 2018 11:53:44 +0200

rdma-core (18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update private libibverbs symbols and let libibverbs1 break
    ibverbs-providers < 18~
  * Fix bad whatis entries in man pages
  * Fix spelling mistakes in ibv_create_flow_action.3 man page
  * Use versioned Breaks & Replaces for ibverbs-providers to make it
    multi-arch coinstallable (Closes: #898055)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 07 May 2018 13:40:40 +0200

rdma-core (17.1-2) unstable; urgency=medium

  * Support for new architecture riscv64 (Closes: #894995) by
    - Whitelist (instead of blacklist) architectures that support valgrind
    - Whitelist (instead of blacklist) coherent DMA supporting architectures
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 30 Apr 2018 19:01:44 +0200
