=== libibverbs/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 rdma_library(ibverbs "${CMAKE_CURRENT_BINARY_DIR}/libibverbs.map"
   # See Documentation/versioning.md
-  1 1.1.${PACKAGE_VERSION}
+  1 1.5.${PACKAGE_VERSION}
   cmd.c
   cmd_counters.c
   cmd_cq.c
@@ -52,3 +52,5 @@
   ${CMAKE_DL_LIBS}
   kern-abi
   )
+
+rdma_pkg_config("ibverbs" "" "${CMAKE_THREAD_LIBS_INIT}")
