=== debian/changelog ===
rdma-core (20.0~1ubuntu1) bionic; urgency=medium

  * Release for chelmsford project

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Nov 2018 14:27:40 +0100

rdma-core (20.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch from net-tools to iproute2 for rxe_cfg
    - Install pkg-config files
  * Update libibverbs symbols and let libibverbs1 break ibverbs-providers < 20~
  * Drop all patches (accepted upstream)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 10 Sep 2018 11:23:11 +0200
