## rdma-core 22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 #      Do not generate backwards compatibility symbols in the shared
 #      libraries. This may is necessary if using a dynmic linker that does
 #      not support symbol versions, such as uclibc.
-#  -DIOCTL_MODE=both (default write)
-#      Enable new kABI ioctl() support and support for the legacy write
+#  -DIOCTL_MODE=write (default both)
+#      Disable new kABI ioctl() support and support only the legacy write
 #      path. May also be 'ioctl' to disable fallback to write.
 #  -DIBACM_SERVER_MODE_DEFAULT (default unix)
 #      Selects how clients can connect to this server:
@@ -37,6 +37,14 @@
 #  -DIBACM_ACME_PLUS_KERNEL_ONLY_DEFAULT (default 0)
 #      If non-zero, limit incoming requests to kernel or the ib_acme utility
 #      (i.e. do not serve librdmacm requests)
+#  -DPYTHON_EXECUTABLE
+#      Override automatic detection of python to use a certain
+#      exectuable. This can be used to force the build to use python2 on a
+#      system that has python3 installed. Otherwise the build automatically
+#      prefers python3 if available.
+#   -DNO_PYVERBS=1 (default, build pyverbs)
+#      Invoke cython to build pyverbs. Usually you will run with this option
+#      is set, but it will be disabled for travis runs.
 
 cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)
 project(rdma-core C)
@@ -57,10 +65,11 @@
 set(PACKAGE_NAME "RDMA")
 
 # See Documentation/versioning.md
-set(PACKAGE_VERSION "20.0")
+set(PACKAGE_VERSION "22.1")
 # When this is changed the values in these files need changing too:
+#   debian/control
 #   debian/libibverbs1.symbols
-set(IBVERBS_PABI_VERSION "20")
+set(IBVERBS_PABI_VERSION "22")
 set(IBVERBS_PROVIDER_SUFFIX "-rdmav${IBVERBS_PABI_VERSION}.so")
 
 #-------------------------
@@ -82,8 +91,11 @@
 set(BUILD_BIN ${CMAKE_BINARY_DIR}/bin)
 # Libraries
 set(BUILD_LIB ${CMAKE_BINARY_DIR}/lib)
+# Static library pre-processing
+set(BUILD_STATIC_LIB ${CMAKE_BINARY_DIR}/lib/statics)
 # Used for IN_PLACE configuration
 set(BUILD_ETC ${CMAKE_BINARY_DIR}/etc)
+set(BUILD_PYTHON ${CMAKE_BINARY_DIR}/python)
 
 set(CMAKE_INSTALL_INITDDIR "${CMAKE_INSTALL_SYSCONFDIR}/init.d"
   CACHE PATH "Location for init.d files")
@@ -146,6 +158,7 @@
 include(RDMA_DoFixup)
 include(publish_headers)
 include(rdma_functions)
+include(pyverbs_functions)
 include(rdma_man)
 
 if (NOT DEFINED ENABLE_STATIC)
@@ -300,22 +313,3 @@
 CHECK_C_SOURCE_COMPILES("
 #include <sys/types.h>
  #define BUILD_ASSERT_OR_ZERO(cond) (sizeof(char [1 - 2*!(cond)]) - 1)
- int main(int argc,const char *argv[]) { return BUILD_ASSERT_OR_ZERO(sizeof(off_t) >= 8); }"
-  HAVE_LARGE_FILES)
-
-if (NOT HAVE_LARGE_FILES)
-  CHECK_C_SOURCE_COMPILES("
-#define _FILE_OFFSET_BITS 64
-#include <sys/types.h>
- #define BUILD_ASSERT_OR_ZERO(cond) (sizeof(char [1 - 2*!(cond)]) - 1)
- int main(int argc,const char *argv[]) { return BUILD_ASSERT_OR_ZERO(sizeof(off_t) >= 8); }"
-    HAVE_LARGE_FILES2)
-  if (NOT HAVE_LARGE_FILES2)
-    message(FATAL_ERROR "Could not enable large file support")
-  endif()
-  add_definitions("-D_FILE_OFFSET_BITS=64")
-endif()
-
-# Provide a shim if C11 stdatomic.h is not supported.
-if (NOT HAVE_SPARSE)
-  CHECK_INCLUDE_FILE("stdatomic.h" HAVE_STDATOMIC)
