=== debian/changelog ===
rdma-core (22.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 06 Feb 2019 15:58:48 +0100

rdma-core (22.0-1) unstable; urgency=medium

  * New upstream release.
    - mlx5: Add DEVX APIs for interop with verbs objects
    - Add pyverbs Python binding
  * Update private libibverbs symbols
  * Bump Standards-Version to 4.3.0 (no changes required)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 22 Jan 2019 13:27:29 +0100

rdma-core (21.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop ibacm sysV init script to avoid issues with the sysV to systemd
      wrapper starting the service instead of the socket (LP: #1794825)
    - Include static libraries in the build
  * Update private libibverbs symbols
  * Specify Build-Depends-Package in symbols

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 20 Nov 2018 11:49:25 +0100
